Documents
Delete a document
Delete a document for the authenticated organization.
DELETE
/
v1
/
namespace
/
{namespaceId}
/
documents
/
{documentId}
TypeScript
import { Agentset } from "agentset";
const agentset = new Agentset({ apiKey: 'agentset_xxx' });
const ns = agentset.namespace('ns_xxx');
await ns.documents.delete("doc_123");
console.log("Document queued for deletion");from agentset import Agentset
with Agentset(
namespace_id="ns_123",
x_tenant_id="<id>",
token="AGENTSET_API_KEY",
) as a_client:
res = a_client.documents.delete(document_id="doc_123")
# Handle response
print(res)curl --request DELETE \
--url https://api.agentset.ai/v1/namespace/{namespaceId}/documents/{documentId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentset.ai/v1/namespace/{namespaceId}/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"ingestJobId": "<string>",
"name": "<string>",
"tenantId": "<string>",
"error": "<string>",
"source": {
"type": "<string>",
"text": "<string>"
},
"properties": {
"fileSize": 123,
"mimeType": "<string>"
},
"config": {
"chunkSize": 4503599627370512,
"delimiter": "<string>",
"metadata": {},
"disableImageExtraction": true,
"disableImageCaptions": true,
"chartUnderstanding": true,
"keepPageheaderInOutput": true,
"keepPagefooterInOutput": true,
"forceOcr": true,
"disableOcrMath": true,
"useLlm": true,
"chunkOverlap": 123,
"maxChunkSize": 123
},
"totalChunks": 123,
"totalTokens": 123,
"totalCharacters": 123,
"totalPages": 123,
"createdAt": "<string>",
"queuedAt": "<string>",
"preProcessingAt": "<string>",
"processingAt": "<string>",
"completedAt": "<string>",
"failedAt": "<string>"
}
}{
"success": false,
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#bad-request"
}
}{
"success": false,
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#unauthorized"
}
}{
"success": false,
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#forbidden"
}
}{
"success": false,
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#not-found"
}
}{
"success": false,
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#conflict"
}
}{
"success": false,
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#invite-expired"
}
}{
"success": false,
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#unprocessable-entity"
}
}{
"success": false,
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#rate-limit_exceeded"
}
}{
"success": false,
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#internal-server_error"
}
}Authorizations
Default authentication mechanism
Headers
Optional tenant id to use for the request. If not provided, the namespace will be used directly. Must be alphanumeric and up to 64 characters.
Pattern:
^[A-Za-z0-9]{1,64}$Path Parameters
The id of the namespace (prefixed with ns_)
Example:
"ns_123"
The id of the document (prefixed with doc_)
Example:
"doc_123"
⌘I
TypeScript
import { Agentset } from "agentset";
const agentset = new Agentset({ apiKey: 'agentset_xxx' });
const ns = agentset.namespace('ns_xxx');
await ns.documents.delete("doc_123");
console.log("Document queued for deletion");from agentset import Agentset
with Agentset(
namespace_id="ns_123",
x_tenant_id="<id>",
token="AGENTSET_API_KEY",
) as a_client:
res = a_client.documents.delete(document_id="doc_123")
# Handle response
print(res)